Bug 463614 - [LTC 6.0 FEAT] 201191:Allow DLPARs to shrink memory
[LTC 6.0 FEAT] 201191:Allow DLPARs to shrink memory
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All All
high Severity high
: alpha
: 6.0
Assigned To: Kevin W Monroe
Martin Jenner
: FutureFeature
Depends On:
Blocks: 356741
  Show dependency treegraph
 
Reported: 2008-09-23 23:30 EDT by IBM Bug Proxy
Modified: 2009-09-23 18:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-23 18:16:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-23 23:30:43 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:07 EDT
1. Feature Overview:
Feature Id:	[201191]
a. Name of Feature:	Allow DLPARs to shrink memory
b. Feature Description
IBM System p hardware now includes a Dynamic Logical Partitioning (DLPAR) feature.  In order for an
administrator to be able to resize downward such a partition's resource usage, the operating system
must support hot memory removal.

2. Feature Details:
Sponsor:	LTC
Architectures:
ppc64

Arch Specificity: Both
Affects Core Kernel: Yes
Delivery Mechanism: Direct from community
Category:	Kernel
Request Type:	Kernel - Enhancement from IBM
d. Upstream Acceptance:	Accepted
Sponsor Priority	2
f. Severity: Medium
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	2.6.26

3. Business Case
System p hardware enablement

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Mike Wortman, wortman@us.ibm.com, 512-838-8582

Technical contact(s):
Badari Pulavarty, badari@us.ibm.com
Nathan Fontenot, nfonteno@us.ibm.com

IBM Manager:
Wendel Voigt, wvoigt@us.ibm.com
Comment 1 Bill Nottingham 2008-10-02 16:27:19 EDT
RHEL 6 will include at least a 2.6.26 kernel, so this should not be a problem.

The feature requested has already been accepted into the upstream code base
planned for the next major release of Red Hat Enterprise Linux.

When the next milestone release of Red Hat Enterprise Linux 6 is available,
please verify that the feature requested is present and functioning as
desired.
Comment 2 IBM Bug Proxy 2009-03-02 15:30:45 EST
The code for hotplug memory remove went into the 2.6.27 and 2.6.28 kernels.
Comment 3 Kevin W Monroe 2009-09-23 18:16:02 EDT
Closing - included in Red Hat Enterprise Linux 6.

Note You need to log in before you can comment on or make changes to this bug.